Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Toast is a small, nonblocking notification pop-up. It is a readable message displayed at the bottom of the screen or at a specific target and disappears automatically after a few seconds (time out) with different animation effects. The control has various built-in options for customizing visual elements, animations, durations, and dismissing toasts.


Interactive toasts

Users can create a more interactive toast message by configuring inputs and buttons on the notification pop-up that help them react quickly (for example, reply to a chat message directly from the toast pop-up).


Visual elements

A normal toast notification can be designed with a plain text, and optional images, icons, inputs, and buttons. Users can load HTML content and change the content dynamically inside the toaster with templates.


Positioning notifications

The Angular toast notifications component is easily positioned wherever you want using built-in positions or custom axis values (X, Y).


Animation

Users can configure different animations to show or hide the toast and the animation duration based on the content length of the notification message and reading time.


Dismiss toasts

Users can dismiss all Angular Toast notifications using user input or timeouts. Notifications can also be dismissed by swiping or tapping them.


Multiple notifications

Users can display multiple toast notifications in a sequence (queue up) within a set duration. Also, users can change the order of a toast notification sequence to the newest on top.


Toast message types

Users can easily design common Angular toast notifications using built-in classes such as alert, success, warning, information, and error.


Timing (duration)

The Angular toast notification component can be configured with a duration time for a complete message to be read before it is hidden. You can extend the timeout dynamically after focusing on it.


Progress bar

Users can enable a progress bar inside the toast to track the progress of an operation and the expiration of a toast message.


Toast message verification

Users can verify duplicate toast notifications and allow only distinct messages on the screen. They can restrict the maximum number of toasts to be displayed. Also, users can prevent toast messages from hiding and make them stick with the screen.


Appearance in Angular Toast

Appearance

Customize the look and feel of the Toast by changing its fill color, background, border, and item opacity.


Accessibility

  • Fully supports WAI-ARIA accessibility that makes toast accessible to on-screen readers and assistive devices.
  • Follows the WCG 2.0 standard in the design of the UI visual elements such as foreground color, background color, line spacing, text, and images.

Developer-friendly API

Developers can control the appearance and behaviors of the toast notification component, including its positioning, using a rich set of APIs.


Angular Toast Code Example

Easily get started with the Angular Toast using a few simple lines of HTML and TSX code as demonstrated below. Also explore our Angular Toast Example that shows you how to render and configure the Toast in Angular.

  1. <div id="action-description">
  2. <p>
  3. This sample demonstrates the basic layout of a <code>Toast</code> to show simple notification and hide them.
  4. </p>
  5. </div>
  6. <div class="col-lg-12 control-section toast-default-section">
  7. <div class="e-sample-resize-container">
  8. <ejs-toast #defaulttoast id='defaulttoast' [position]="position" (created)="onCreate()"
  9. (close)="onClose($event)" icon="e-meeting" (beforeOpen)="onBeforeOpen()">
  10. <ng-template #content>
  11. <div>Conference Room 01 / Building 135 10:00 AM-10:30 AM</div>
  12. </ng-template>
  13. <ng-template #title>
  14. <div>Adaptive Tiles Meeting</div>
  15. </ng-template>
  16. </ejs-toast>
  17. <div class="col-lg-12 col-sm-12 col-md-12 center">
  18. <div id="toastBtnDefault" style="margin: auto;text-align: center">
  19. <button ejs-button #toastBtnShow class="e-btn" id="toastBtnShow" (click)='showToast()'>Show
  20. Toasts</button>
  21. <button ejs-button #toastBtnHide class="e-btn" id="toastBtnHide" (click)='hideToast()'>Hide
  22. All</button>
  23. </div>
  24. </div>
  25. </div>
  26. </div>
  1. import { Component, ViewEncapsulation, ViewChild, HostListener, ElementRef, Inject, Injector } from '@angular/core';
  2. import { ToastComponent, ToastCloseArgs, ToastPositionModel } from '@syncfusion/ej2-angular-notifications';
  3. import { ButtonComponent } from '@syncfusion/ej2-angular-buttons';
  4. /**
  5. * Sample for Basic Toast
  6. */
  7. @Component({
  8. selector: 'control-content',
  9. templateUrl: 'default.html',
  10. styleUrls: ['default.css'],
  11. encapsulation: ViewEncapsulation.None
  12. })
  13.  
  14. export class DefaultController {
  15.  
  16. @ViewChild('defaulttoast')
  17. public toastObj: ToastComponent;
  18.  
  19. @ViewChild('toastBtnHide')
  20. public btnEleHide: ButtonComponent;
  21.  
  22. @ViewChild('toastBtnShow')
  23. public btnEleShow: ButtonComponent;
  24.  
  25. public position: ToastPositionModel = { X: "Right" };
  26.  
  27. constructor(@Inject('sourceFiles') private sourceFiles: any) {
  28. sourceFiles.files = ['default.css'];
  29. }
  30.  
  31. public onCreate = (): void => {
  32. setTimeout((): void => {
  33. this.toastObj.show();
  34. }, 200);
  35. }
  36.  
  37. public onClose = (e: ToastCloseArgs): void => {
  38. if (e.toastContainer.childElementCount === 0) {
  39. this.btnEleHide.element.style.display = 'none';
  40. }
  41. }
  42.  
  43. public onBeforeOpen = (): void => {
  44. this.btnEleHide.element.style.display = 'inline-block';
  45. }
  46.  
  47. public showToast = (): void => {
  48. this.toastObj.show();
  49. }
  50.  
  51. public hideToast = (): void => {
  52. this.toastObj.hide('All');
  53. }
  54.  
  55. @HostListener('document:click', ['$event'])
  56. documentClick = (e: MouseEvent): void => {
  57. if (e.target !== this.btnEleShow.element && this.toastObj.target === document.body) {
  58. this.toastObj.hide('All');
  59. }
  60. }
  61. }

Other supported frameworks

Toast is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Toast platforms from the links below,

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • Toast is an Animated notification pop-up that is small.
  • Fully customizable alert messages with timing and a progress bar.
  • Predefined standard notification types such as success, error, warning, and information.
  • One of the best Angular Toast in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.-Expansive learning resources such as demos and documentation to let you get started quickly with Angular Toast.

We do not sell the Angular Toast separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular Toast. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Toast demo, which demonstrates how to render and configure the Toast.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular Toast, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Toast component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Toast is a small, nonblocking notification pop-up. It is a readable message displayed at the bottom of the screen or at a specific target and disappears automatically after a few seconds (time out) with different animation effects. The control has various built-in options for customizing visual elements, animations, durations, and dismissing toasts.


Interactive toasts

Users can create a more interactive toast message by configuring inputs and buttons on the notification pop-up that help them react quickly (for example, reply to a chat message directly from the toast pop-up).


Visual elements

A normal toast notification can be designed with a plain text, and optional images, icons, inputs, and buttons. Users can load HTML content and change the content dynamically inside the toaster with templates.


Positioning notifications

The React toast notifications component is easily positioned wherever you want using built-in positions or custom axis values (X, Y).


Animation

Users can configure different animations to show or hide the toast and the animation duration based on the content length of the notification message and reading time.


Dismiss toasts

Users can dismiss all Angular Toast notifications using user input or timeouts. Notifications can also be dismissed by swiping or tapping them.


Multiple notifications

Users can display multiple toast notifications in a sequence (queue up) within a set duration. Also, users can change the order of a toast notification sequence to the newest on top.


Toast message types

Users can easily design common Angular toast notifications using built-in classes such as alert, success, warning, information, and error.


Timing (duration)

The React toast notification component can be configured with a duration time for a complete message to be read before it is hidden. You can extend the timeout dynamically after focusing on it.


Progress bar

Users can enable a progress bar inside the toast to track the progress of an operation and the expiration of a toast message.


Toast message verification

Users can verify duplicate toast notifications and allow only distinct messages on the screen. They can restrict the maximum number of toasts to be displayed. Also, users can prevent toast messages from hiding and make them stick with the screen.


Appearance in React Toast

Appearance

Customize the look and feel of the Toast by changing its fill color, background, border, and item opacity.


Accessibility

  • Fully supports WAI-ARIA accessibility that makes toast accessible to on-screen readers and assistive devices.
  • Follows the WCG 2.0 standard in the design of the UI element visual such as foreground color, background color, line spacing, text, and images.

Developer-friendly API

Developers can control the appearance and behaviors of the toast notification component, including its positioning, using a rich set of APIs.


Other supported frameworks

The Toast component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Toast platforms from the links below,


React Toast Code Example

Easily get started with the React Toast using a few simple lines of TSX code example as demonstrated below. Also explore our React Toast Example that shows you how to render and configure a Toast in React.

  1. import { ToastComponent } from '@syncfusion/ej2-react-notifications';
  2. import * as React from "react";
  3.  
  4. class App extends React.Component<{}, {}> {
  5. public toastInstance:ToastComponent;
  6.  
  7. public toastCreated(): void {
  8. this.toastInstance.show();
  9. }
  10.  
  11. public render() {
  12. return (
  13. <ToastComponent title="Sample Toast Title" content="Sample Toast Content" created={this.toastCreated = this.toastCreated.bind(this)} />
  14. );
  15. }
  16. };
  17. ReactDOM.render(<App />, document.getElementById('element'));

90+ REACT UI COMPONENTS

Frequently Asked Questions

Syncfusion React Toast provides the following features:

  • React Toast is an animated notification pop-up that is small.
  • Fully customizable alert messages with timing and a progress bar.
  • Predefined standard notification types such as success, error, warning, and information.
  • One of the best React Toast in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React Toast.

We do not sell the React Toast separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Toast. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Toast demo, which demonstrates how to render and configure the Toast.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Toast, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Toast component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us